package domain

type AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   分页参数     */
	Page *AlibabaHmMarketingItempoolQueryitemsBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   需要查询的商品skuCodes     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaHmMarketingItempoolQueryitemsChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery) SetActivityId(v int64) *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery) SetPage(v AlibabaHmMarketingItempoolQueryitemsBasePageQuery) *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery) SetOutActId(v string) *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery) SetSkuCodes(v []string) *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery) SetByChannel(v bool) *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery {
	s.ByChannel = &v
	return s
}
func (s *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery) SetChannelConfigList(v []AlibabaHmMarketingItempoolQueryitemsChannelConfig) *AlibabaHmMarketingItempoolQueryitemsActivitySkuQuery {
	s.ChannelConfigList = &v
	return s
}
